## dde-api 5.4.6

=== Makefile ===
PREFIX = /usr
GOBUILD_DIR = gobuild
GOPKG_PREFIX = pkg.deepin.io/dde/api
GOSITE_DIR = ${PREFIX}/share/gocode
libdir = /lib
SYSTEMD_LIB_DIR = ${libdir}
SYSTEMD_SERVICE_DIR = ${SYSTEMD_LIB_DIR}/systemd/system/
GOBUILD = env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go build

LIBRARIES = \
    thumbnails \
    themes \
    theme_thumb\
    dxinput \
    drandr \
    soundutils \
    lang_info \
    i18n_dependent \
    session \
    language_support \
	userenv \
	inhibit_hint \
    powersupply

BINARIES =  \
    device \
    graphic \
    locale-helper \
    thumbnailer \
    hans2pinyin \
    cursor-helper \
    gtk-thumbnailer \
    sound-theme-player \
    deepin-shutdown-sound \
    dde-open \
	adjust-grub-theme \
    image-blur \
    image-blur-helper
    #lunar-calendar \

all: build-binary build-dev ts-to-policy

prepare:
	@if [ ! -d ${GOBUILD_DIR}/src/${GOPKG_PREFIX} ]; then \
		mkdir -p ${GOBUILD_DIR}/src/$(dir ${GOPKG_PREFIX}); \
		ln -sf ../../../.. ${GOBUILD_DIR}/src/${GOPKG_PREFIX}; \
	fi

ts:
	deepin-policy-ts-convert policy2ts misc/polkit-action/com.deepin.api.locale-helper.policy.in misc/ts/com.deepin.api.locale-helper.policy
	deepin-policy-ts-convert policy2ts misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy.in misc/ts/com.deepin.api.device.unblock-bluetooth-devices.policy

ts-to-policy:
	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.api.locale-helper.policy.in misc/ts/com.deepin.api.locale-helper.policy misc/polkit-action/com.deepin.api.locale-helper.policy
	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy.in misc/ts/com.deepin.api.device.unblock-bluetooth-devices.policy misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy

out/bin/%:
	${GOBUILD} -o $@  ${GOPKG_PREFIX}/${@F}

# Install go packages
build-dep:
	go get github.com/disintegration/imaging
	go get gopkg.in/check.v1
	go get github.com/linuxdeepin/go-x11-client

build-binary: prepare $(addprefix out/bin/, ${BINARIES})

install-binary:
	mkdir -pv ${DESTDIR}${PREFIX}${libdir}/deepin-api
	cp out/bin/* ${DESTDIR}${PREFIX}${libdir}/deepin-api/

	mkdir -pv ${DESTDIR}${PREFIX}/bin
	cp out/bin/dde-open ${DESTDIR}${PREFIX}/bin
	rm ${DESTDIR}${PREFIX}${libdir}/deepin-api/dde-open

	mkdir -pv ${DESTDIR}${PREFIX}/share/dbus-1/system.d
	cp misc/conf/*.conf ${DESTDIR}${PREFIX}/share/dbus-1/system.d/

	mkdir -pv ${DESTDIR}${PREFIX}/share/dbus-1/services
	cp -v misc/services/*.service ${DESTDIR}${PREFIX}/share/dbus-1/services/

	mkdir -pv ${DESTDIR}${PREFIX}/share/dbus-1/system-services
	cp -v misc/system-services/*.service ${DESTDIR}${PREFIX}/share/dbus-1/system-services/

	mkdir -pv ${DESTDIR}${PREFIX}/share/polkit-1/actions
	cp misc/polkit-action/*.policy ${DESTDIR}${PREFIX}/share/polkit-1/actions/

	mkdir -pv ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d
	cp misc/polkit-localauthority/*.pkla ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d/

	mkdir -pv ${DESTDIR}${PREFIX}/share/dde-api
	cp -R misc/data ${DESTDIR}${PREFIX}/share/dde-api

	mkdir -pv ${DESTDIR}${SYSTEMD_SERVICE_DIR}
	cp -R misc/systemd/system/*.service ${DESTDIR}${SYSTEMD_SERVICE_DIR}

	mkdir -pv ${DESTDIR}${PREFIX}/share/icons/hicolor
	cp -R misc/icons/* ${DESTDIR}${PREFIX}/share/icons/hicolor

build-dev: prepare
	${GOBUILD} $(addprefix ${GOPKG_PREFIX}/, ${LIBRARIES})

install/lib/%:
	mkdir -pv ${DESTDIR}${GOSITE_DIR}/src/${GOPKG_PREFIX}
	cp -R ${CURDIR}/${GOBUILD_DIR}/src/${GOPKG_PREFIX}/${@F} ${DESTDIR}${GOSITE_DIR}/src/${GOPKG_PREFIX}

install-dev: ${addprefix install/lib/, ${LIBRARIES}}

install: install-binary install-dev

clean:
	rm -rf out/bin gobuild out

rebuild: clean build

check_code_quality: prepare
	env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go vet ./...

test: prepare
	env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go test -v ./...

print_gopath: prepare
	GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}"

test-coverage: prepare
	env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go test -cover -v ./... | awk '$$1 ~ "^(ok|\\?)" {print $$2","$$5}' | sed "s:${CURDIR}::g" | sed 's/files\]/0\.0%/g' > coverage.csv

=== debian/changelog ===
dde-api (5.4.6-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 14 Apr 2021 15:19:42 +0800

dde-api (3.0.10-1) unstable; urgency=low

  * Autobuild Tag 3.0.10 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:44:23 +0000

dde-api (3.0.9-1) stable; urgency=low

  * Autobuild Tag 3.0.9 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 22 Jul 2016 07:46:10 +0000

dde-api (3.0.8-1) stable; urgency=low

  * Autobuild Tag 3.0.8 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 09:59:54 +0000

dde-api (3.0.6-2) stable; urgency=low

  * Rebuild Version 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:15:45 +0000

dde-api (3.0.6-1) stable; urgency=low

  * Autobuild Tag 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 16:28:16 +0000

dde-api (3.0.3-2) stable; urgency=low

  * Rebuild Version 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Jan 2016 17:32:14 +0000

dde-api (3.0.3-1) stable; urgency=low

  * Autobuild Tag 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 22 Jan 2016 19:13:46 +0000

dde-api (3.0.1-2) stable; urgency=low

  * Rebuild Version 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 20:06:40 +0000

dde-api (3.0.1-1) stable; urgency=low

  * Autobuild Tag 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 21:10:42 +0000

dde-api (3.0.0-1) stable; urgency=low

  * Autobuild Tag 3.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 20:27:21 +0000

dde-api (2.92.4-4) stable; urgency=low

  * Rebuild Version 2.92.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sun, 20 Dec 2015 12:21:30 +0000

dde-api (2.92.4-3) stable; urgency=low

  * Rebuild Version 2.92.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 15:40:07 +0000

dde-api (2.92.4-2) stable; urgency=low

  * Rebuild Version 2.92.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 15:06:24 +0000

dde-api (2.92.4-1) stable; urgency=low

  * Autobuild Tag 2.92.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 12:41:55 +0000

dde-api (2.92.3-2) stable; urgency=low

  * Rebuild Version 2.92.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 10 Dec 2015 21:16:42 +0000

dde-api (2.92.3-1) stable; urgency=low

  * Autobuild Tag 2.92.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 10 Dec 2015 20:21:19 +0000

dde-api (2.92.2-2) stable; urgency=low

  * Rebuild Version 2.92.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 21:46:32 +0000

dde-api (2.92.2-1) stable; urgency=low

  * Autobuild Tag 2.92.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 21:35:52 +0000

dde-api (2.92.1-4) stable; urgency=low

  * Rebuild Version 2.92.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 07:19:10 +0000

dde-api (2.92.1-3) stable; urgency=low

  * Rebuild Version 2.92.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 07:12:50 +0000

dde-api (2.92.1-2) stable; urgency=low

  * Rebuild Version 2.92.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Mon, 23 Nov 2015 10:22:14 +0000

dde-api (2.92.1-1) stable; urgency=low

  * Autobuild Tag 2.92.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:14:36 +0000

dde-api (2.91.0-2) unstable; urgency=medium

  * add dde-api-dbg packages. 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 06 Aug 2015 14:24:18 +0800

dde-api (2.91.0-1) stable; urgency=low

  * Autobuild Tag 2.91.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 06 Aug 2015 09:57:09 +0000

dde-api (2.90.0-1) stable; urgency=low

  * Autobuild Tag 2.90.0-1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Tue, 30 Jun 2015 10:52:03 +0000

dde-api (0.0.0) unstable; urgency=medium

  * Unstable release.

 -- 宋文武 <songwenwu@linuxdeepin.com>  Thu, 04 Dec 2014 12:47:55 +0800

=== debian/rules ===
#!/usr/bin/make -f
export GOCACHE = /tmp/gocache
export GOPATH := /usr/share/gocode
ifeq ($(DEB_BUILD_ARCH),sw_64)
	export GOFLAGS = -vet=off
endif

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration=dde-api-dbg

override_dh_installsystemd:
	dh_installsystemd --no-start

## dde-api 5.5.12

=== debian/changelog ===
dde-api (5.5.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:03:38 +0800

=== debian/control ===
Source: dde-api
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 11),
 deepin-gettext-tools,
 dh-golang,
 golang-any,
 golang-github-linuxdeepin-go-lib-dev (>> 5.8.4+),
 golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-gir-gobject-2.0-dev (>> 1.2.0+),
 golang-gir-gudev-1.0-dev (>> 1.2.0+),
 golang-github-disintegration-imaging-dev,
 golang-github-fogleman-gg-dev,
 golang-github-gosexy-gettext-dev,
 golang-github-jinzhu-gorm-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev (>> 0.7.0+),
 golang-github-linuxdeepin-go-x11-client-dev (>= 0.0.4),
 golang-github-mattn-go-sqlite3-dev,
 golang-github-nfnt-resize-dev,
 golang-github-rickb777-date-dev,
 golang-github-smartystreets-goconvey-dev,
 golang-github-stretchr-testify-dev,
 golang-gopkg-alecthomas-kingpin.v2-dev,
 golang-gopkg-check.v1-dev,
 libcairo2-dev,
 libcanberra-dev,
 libfreetype6-dev,
 libgdk-pixbuf2.0-dev,
 libgtk-3-dev,
 libpoppler-glib-dev,
 librsvg2-dev,
 libsqlite3-dev,
 libxi-dev,
 systemd,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-api
Architecture: any
Depends:
 adduser,
 alsa-utils,
 bc,
 blur-effect,
 coreutils(>=8.30),
 fontconfig,
 fonts-noto-cjk,
 libcanberra-pulse,
 librsvg2-bin,
 libsqlite3-0,
 locales,
 rfkill,
 ttf-unifont,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Go-lang bingdings for dde-daemon
 DDE API provides some dbus interfaces that is used for screen zone
 detecting, thumbnail generating, sound playing, etc.

Package: dde-api-dev
Architecture: all
Depends:
 golang-github-linuxdeepin-go-lib-dev (>= 1.2.13),
 golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-gir-gobject-2.0-dev (>> 1.2.0+),
 golang-gir-gudev-1.0-dev (>> 1.2.0+),
 golang-github-gosexy-gettext-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev (>> 0.7.0+),
 golang-github-linuxdeepin-go-x11-client-dev (>= 0.0.4),
 golang-gopkg-alecthomas-kingpin.v2-dev,
 libcairo2-dev,
 libcanberra-dev,
 libfreetype6-dev,
 libgdk-pixbuf2.0-dev,
 libgtk-3-dev,
 libpoppler-glib-dev,
 librsvg2-dev,
 libxi-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Go-lang bindings for dde-daemon -- dev file
 DDE API provides some dbus interfaces that is used for screen zone
 detecting, thumbnail generating, sound playing, etc.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 export GOPATH := /usr/share/gocode
 ifeq ($(DEB_BUILD_ARCH),sw_64)
 	export GOFLAGS = -vet=off
+endif
+
+ifneq ($(DEB_BUILD_ARCH), mips64el)
+	export GOBUILD_OPTIONS=-ldflags '-linkmode=external -extldflags "-pie"'
 endif
 
 %:

## dde-api 5.5.25

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 PREFIX = /usr
 GOBUILD_DIR = gobuild
-GOPKG_PREFIX = pkg.deepin.io/dde/api
+GOPKG_PREFIX = github.com/linuxdeepin/dde-api
 GOSITE_DIR = ${PREFIX}/share/gocode
 libdir = /lib
 SYSTEMD_LIB_DIR = ${libdir}
 SYSTEMD_SERVICE_DIR = ${SYSTEMD_LIB_DIR}/systemd/system/
 GOBUILD = env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go build
+export GO111MODULE=off
 
 LIBRARIES = \
     thumbnails \
@@ -20,7 +21,8 @@
     language_support \
 	userenv \
 	inhibit_hint \
-    powersupply
+    powersupply	\
+    polkit
 
 BINARIES =  \
     device \
@@ -41,10 +43,8 @@
 all: build-binary build-dev ts-to-policy
 
 prepare:
-	@if [ ! -d ${GOBUILD_DIR}/src/${GOPKG_PREFIX} ]; then \
-		mkdir -p ${GOBUILD_DIR}/src/$(dir ${GOPKG_PREFIX}); \
-		ln -sf ../../../.. ${GOBUILD_DIR}/src/${GOPKG_PREFIX}; \
-	fi
+	@mkdir -p ${GOBUILD_DIR}/src/$(dir ${GOPKG_PREFIX});
+	@ln -snf ../../../.. ${GOBUILD_DIR}/src/${GOPKG_PREFIX};
 
 ts:
 	deepin-policy-ts-convert policy2ts misc/polkit-action/com.deepin.api.locale-helper.policy.in misc/ts/com.deepin.api.locale-helper.policy
@@ -55,7 +55,7 @@
 	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy.in misc/ts/com.deepin.api.device.unblock-bluetooth-devices.policy misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy
 
 out/bin/%:
-	${GOBUILD} -o $@  ${GOPKG_PREFIX}/${@F}
+	${GOBUILD} -o $@ ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/${@F}
 
 # Install go packages
 build-dep:

=== debian/changelog ===
dde-api (5.5.25-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 16:44:27 +0800

## dde-api 5.5.26

=== debian/changelog ===
dde-api (5.5.26-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 27 Jun 2022 10:30:11 +0800

## dde-api 5.5.29

=== debian/changelog ===
dde-api (5.5.29-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 16 Aug 2022 09:06:28 +0800

## dde-api 5.5.30

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,7 @@
 install-binary:
 	mkdir -pv ${DESTDIR}${PREFIX}${libdir}/deepin-api
 	cp out/bin/* ${DESTDIR}${PREFIX}${libdir}/deepin-api/
+	cp misc/scripts/* ${DESTDIR}${PREFIX}${libdir}/deepin-api/
 
 	mkdir -pv ${DESTDIR}${PREFIX}/bin
 	cp out/bin/dde-open ${DESTDIR}${PREFIX}/bin

=== debian/changelog ===
dde-api (5.5.30-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:27:21 +0800

## dde-api 5.5.31

=== huangli-generator/Makefile ===
PROG=huangli_generator

build:
	go build -o ${PROG}

clean:
	rm -f ${PROG}

rebuild: clean build

=== debian/changelog ===
dde-api (5.5.31-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Sep 2022 13:06:53 +0800

dde-api (3.0.11) unstable; urgency=low

  * update deepin-boot-sound.sh interpreter

 -- lichangze <lichangze@uniontech.com>  Fri, 30 Aug 2022 18:44:23 +0000

=== debian/control ===
--- 
+++ 
@@ -53,7 +53,7 @@
  libsqlite3-0,
  locales,
  rfkill,
- ttf-unifont,
+ ttf-unifont | fonts-unifont,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Go-lang bingdings for dde-daemon

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --buildsystem=makefile
 
 override_dh_strip:
 	dh_strip --dbgsym-migration=dde-api-dbg

## dde-api 5.5.33

=== debian/changelog ===
dde-api (5.5.33-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 11:03:56 +0800

## dde-api 6.0.12

=== debian/changelog ===
dde-api (6.0.12) unstable; urgency=medium

  * fix: no logout sound (linuxdeepin/developer-center#9370)

 -- zsien <quezhiyong@deepin.org>  Thu, 20 Jun 2024 17:01:04 +0800

dde-api (6.0.11) unstable; urgency=medium

  * feat: support trash and computer scheme(Issue: https://github.com/linuxdeepin/developer-center/issues/8266)

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 06 May 2024 16:53:02 +0800

dde-api (6.0.10) unstable; urgency=medium

  * fix: no shutdown sound

 -- zsien <quezhiyong@deepin.org>  Wed, 27 Mar 2024 14:34:43 +0800

dde-api (6.0.9) unstable; urgency=medium

  * because 6.0.8 is not integrate to deepin, so the important fix is not in,
  * so we think we would better make a new tag
  * commit is : https://github.com/linuxdeepin/dde-api/commit/c39c19c4ffee35a76d46fe9e103f982dc3cecbd6

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 29 Nov 2023 15:32:08 +0800

dde-api (6.0.8) unstable; urgency=medium

  * fix: dde-api error when use old am
  * chore: switch dep from libfreetype6 to freetype

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 27 Nov 2023 09:33:19 +0800

dde-api (6.0.7) unstable; urgency=medium

  * fix: 关机音效存在杂音
  * chore: add gen.go support
  * chore: 统一x11和wayland下移动速度值

 -- dengbo <dengbo@uniontech.com>  Tue, 16 May 2023 10:54:05 +0800

dde-api (6.0.6) unstable; urgency=medium

  [ TagBuilder ]
  * remove install packages of fcitx

 -- chenhongtao <chenhongtao@uniontech.com>  Fri, 31 Mar 2023 14:59:52 +0800

dde-api (6.0.5) unstable; urgency=medium

  [ TagBuilder ]
  * release dde-api 6.0.5

 -- dengbo <dengbo@uniontech.com>  Wed, 29 Mar 2023 16:38:52 +0800

dde-api (6.0.4) unstable; urgency=medium

  [ TagBuilder ]
  * fix: grub2主题配置不生效(Task: 177439)(Influence: grub主题)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 14:59:32 +0800

dde-api (6.0.3) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 18:40:51 +0800

dde-api (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- <lvpeilong@uniontech.com>  Wed, 19 Oct 2022 11:24:27 +0800

dde-api (6.0.1) unstable; urgency=medium

  [ cxr@cxr-PC ]
  * UNRELEASED

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 25 Jul 2022 14:06:59 +0800

dde-api (6.0.0.1) unstable; urgency=medium

 * 6.0.0.1 Modified go-lib to trigger DDE-API synchronously

 --  <lixi@uniontech.com>  Mon, 25 Jul 2022 07:25:57 +0800

dde-api (6.0.0.0) UNRELEASED; urgency=medium

  * 6.0.0.0 pre-release

 --  <tanfeng@uniontech.com>  Wed, 01 Jun 2022 11:21:57 +0800

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  golang-gopkg-check.v1-dev,
  libcairo2-dev,
  libcanberra-dev,
- libfreetype6-dev,
+ libfreetype-dev,
  libgdk-pixbuf2.0-dev,
  libgtk-3-dev,
  libpoppler-glib-dev,
@@ -49,11 +49,9 @@
  fontconfig,
  fonts-noto-cjk,
  libcanberra-pulse,
- librsvg2-bin,
- libsqlite3-0,
  locales,
  rfkill,
- ttf-unifont | fonts-unifont,
+ fonts-unifont,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Go-lang bingdings for dde-daemon

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 export GOCACHE = /tmp/gocache
 export GOPATH := /usr/share/gocode
+export GO111MODULE=off
 ifeq ($(DEB_BUILD_ARCH),sw_64)
 	export GOFLAGS = -vet=off
 endif

## dde-api 6.0.13

=== debian/changelog ===
dde-api (6.0.13) unstable; urgency=medium

  * feat: add new grub theme.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 25 Sep 2024 11:15:16 +0800

## dde-api 6.0.16

=== debian/changelog ===
dde-api (6.0.16) unstable; urgency=medium

  *  fix: ps2触控板有事件上报，但是无法使用 (#128)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 09 Jan 2025 10:09:22 +0800

dde-api (6.0.15) unstable; urgency=medium

  * fix: get 'libinput Accel Profiles Available' failed
  * chore: ignore the error of getLastUser 

 -- zsien <quezhiyong@deepin.org>  Thu, 26 Dec 2024 13:39:45 +0800

dde-api (6.0.14) unstable; urgency=medium

  * feat: add new grub theme (linuxdeepin#122)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 14:42:20 +0800

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 %:
 	dh $@ --buildsystem=makefile
 
+override_dh_auto_install:
+	dh_auto_install
+	dh_installsysusers dde-api.sysusers
+
 override_dh_strip:
 	dh_strip --dbgsym-migration=dde-api-dbg

## dde-api 6.0.19

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,59 @@
 SYSTEMD_LIB_DIR = ${libdir}
 SYSTEMD_SERVICE_DIR = ${SYSTEMD_LIB_DIR}/systemd/system/
 GOBUILD = env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go build
-export GO111MODULE=off
+
+TESTS = \
+	${GOPKG_PREFIX}/adjust-grub-theme \
+	${GOPKG_PREFIX}/blurimage \
+	${GOPKG_PREFIX}/cursor-helper \
+	${GOPKG_PREFIX}/dde-open \
+	${GOPKG_PREFIX}/deepin-shutdown-sound \
+	${GOPKG_PREFIX}/device \
+	${GOPKG_PREFIX}/drandr \
+	${GOPKG_PREFIX}/dxinput \
+	${GOPKG_PREFIX}/dxinput/common \
+	${GOPKG_PREFIX}/dxinput/kwayland \
+	${GOPKG_PREFIX}/dxinput/utils \
+	${GOPKG_PREFIX}/graphic \
+	${GOPKG_PREFIX}/grub_theme/font \
+	${GOPKG_PREFIX}/grub_theme/themetxt \
+	${GOPKG_PREFIX}/gtk-thumbnailer \
+	${GOPKG_PREFIX}/hans2pinyin \
+	${GOPKG_PREFIX}/huangli \
+	${GOPKG_PREFIX}/huangli-generator \
+	${GOPKG_PREFIX}/i18n_dependent \
+	${GOPKG_PREFIX}/image-blur \
+	${GOPKG_PREFIX}/image-blur-helper \
+	${GOPKG_PREFIX}/inhibit_hint \
+	${GOPKG_PREFIX}/lang_info \
+	${GOPKG_PREFIX}/language_support \
+	${GOPKG_PREFIX}/locale-helper \
+	${GOPKG_PREFIX}/lunar-calendar \
+	${GOPKG_PREFIX}/polkit \
+	${GOPKG_PREFIX}/powersupply \
+	${GOPKG_PREFIX}/powersupply/battery \
+	${GOPKG_PREFIX}/session \
+	${GOPKG_PREFIX}/sound-theme-player \
+	${GOPKG_PREFIX}/soundutils \
+	${GOPKG_PREFIX}/theme_thumb \
+	${GOPKG_PREFIX}/theme_thumb/common \
+	${GOPKG_PREFIX}/theme_thumb/cursor \
+	${GOPKG_PREFIX}/theme_thumb/gtk \
+	${GOPKG_PREFIX}/theme_thumb/icon \
+	${GOPKG_PREFIX}/themes \
+	${GOPKG_PREFIX}/themes/scanner \
+	${GOPKG_PREFIX}/thumbnailer \
+	${GOPKG_PREFIX}/thumbnails \
+	${GOPKG_PREFIX}/thumbnails/cursor \
+	${GOPKG_PREFIX}/thumbnails/font \
+	${GOPKG_PREFIX}/thumbnails/gtk \
+	${GOPKG_PREFIX}/thumbnails/icon \
+	${GOPKG_PREFIX}/thumbnails/images \
+	${GOPKG_PREFIX}/thumbnails/loader \
+	${GOPKG_PREFIX}/thumbnails/pdf \
+	${GOPKG_PREFIX}/thumbnails/text \
+	${GOPKG_PREFIX}/userenv \
+	${GOPKG_PREFIX}/validator
 
 LIBRARIES = \
     thumbnails \
@@ -19,10 +71,15 @@
     i18n_dependent \
     session \
     language_support \
-	userenv \
-	inhibit_hint \
-    powersupply	\
-    polkit
+    userenv \
+    inhibit_hint \
+    powersupply \
+    polkit \
+
+ININSTALLS = \
+    ${LIBRARIES} \
+    go.sum \
+    go.mod
 
 BINARIES =  \
     device \
@@ -35,7 +92,7 @@
     sound-theme-player \
     deepin-shutdown-sound \
     dde-open \
-	adjust-grub-theme \
+    adjust-grub-theme \
     image-blur \
     image-blur-helper
     #lunar-calendar \
@@ -47,21 +104,15 @@
 	@ln -snf ../../../.. ${GOBUILD_DIR}/src/${GOPKG_PREFIX};
 
 ts:
-	deepin-policy-ts-convert policy2ts misc/polkit-action/com.deepin.api.locale-helper.policy.in misc/ts/com.deepin.api.locale-helper.policy
-	deepin-policy-ts-convert policy2ts misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy.in misc/ts/com.deepin.api.device.unblock-bluetooth-devices.policy
+	deepin-policy-ts-convert policy2ts misc/polkit-action/org.deepin.dde.locale-helper.policy.in misc/ts/org.deepin.dde.locale-helper.policy
+	deepin-policy-ts-convert policy2ts misc/polkit-action/org.deepin.dde.device.unblock-bluetooth-devices.policy.in misc/ts/org.deepin.dde.device.unblock-bluetooth-devices.policy
 
 ts-to-policy:
-	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.api.locale-helper.policy.in misc/ts/com.deepin.api.locale-helper.policy misc/polkit-action/com.deepin.api.locale-helper.policy
-	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy.in misc/ts/com.deepin.api.device.unblock-bluetooth-devices.policy misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy
+	deepin-policy-ts-convert ts2policy misc/polkit-action/org.deepin.dde.locale-helper.policy.in misc/ts/org.deepin.dde.locale-helper.policy misc/polkit-action/org.deepin.dde.locale-helper.policy
+	deepin-policy-ts-convert ts2policy misc/polkit-action/org.deepin.dde.device.unblock-bluetooth-devices.policy.in misc/ts/org.deepin.dde.device.unblock-bluetooth-devices.policy misc/polkit-action/org.deepin.dde.device.unblock-bluetooth-devices.policy
 
 out/bin/%:
 	${GOBUILD} -o $@ ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/${@F}
-
-# Install go packages
-build-dep:
-	go get github.com/disintegration/imaging
-	go get gopkg.in/check.v1
-	go get github.com/linuxdeepin/go-x11-client
 
 build-binary: prepare $(addprefix out/bin/, ${BINARIES})
 
@@ -105,7 +156,7 @@
 	mkdir -pv ${DESTDIR}${GOSITE_DIR}/src/${GOPKG_PREFIX}
 	cp -R ${CURDIR}/${GOBUILD_DIR}/src/${GOPKG_PREFIX}/${@F} ${DESTDIR}${GOSITE_DIR}/src/${GOPKG_PREFIX}
 
-install-dev: ${addprefix install/lib/, ${LIBRARIES}}
+install-dev: ${addprefix install/lib/, ${ININSTALLS}}
 
 install: install-binary install-dev
 
@@ -118,7 +169,7 @@
 	env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go vet ./...
 
 test: prepare
-	env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go test -v ./...
+	env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go test -v ${TESTS}
 
 print_gopath: prepare
 	GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}"

=== debian/changelog ===
dde-api (6.0.19) unstable; urgency=medium

  * feat: use `deepin-immutable-ctrl` to wrap and call `locale-gen`

 -- zhangkun <zhangkun2@uniontech.com>  Mon, 23 Jun 2025 21:06:19 +0800

dde-api (6.0.18) unstable; urgency=medium

  * feat: implement keyboard device management (#134)

 -- fuleyi <fuleyi@uniontech.com>  Wed, 04 Jun 2025 15:40:30 +0800

dde-api (6.0.17) unstable; urgency=medium

  * refactor: migrate from deepin-api-device to deepin-daemon user
  * chore: bump version to 6.0.16 (#130)
  * fix: ps2触控板有事件上报，但是无法使用 (#128)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 May 2025 11:12:54 +0800

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	dh_installsysusers dde-api.sysusers
 
 override_dh_strip:
 	dh_strip --dbgsym-migration=dde-api-dbg

## dde-api 6.0.21

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,6 @@
 	${GOPKG_PREFIX}/grub_theme/themetxt \
 	${GOPKG_PREFIX}/gtk-thumbnailer \
 	${GOPKG_PREFIX}/hans2pinyin \
-	${GOPKG_PREFIX}/huangli \
-	${GOPKG_PREFIX}/huangli-generator \
 	${GOPKG_PREFIX}/i18n_dependent \
 	${GOPKG_PREFIX}/image-blur \
 	${GOPKG_PREFIX}/image-blur-helper \
@@ -33,7 +31,6 @@
 	${GOPKG_PREFIX}/lang_info \
 	${GOPKG_PREFIX}/language_support \
 	${GOPKG_PREFIX}/locale-helper \
-	${GOPKG_PREFIX}/lunar-calendar \
 	${GOPKG_PREFIX}/polkit \
 	${GOPKG_PREFIX}/powersupply \
 	${GOPKG_PREFIX}/powersupply/battery \
@@ -95,7 +92,6 @@
     adjust-grub-theme \
     image-blur \
     image-blur-helper
-    #lunar-calendar \
 
 all: build-binary build-dev ts-to-policy

=== debian/changelog ===
dde-api (6.0.21) unstable; urgency=medium

  * chore: remove huangli and lunar calendar components

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 18 Jul 2025 11:07:14 +0800

dde-api (6.0.20) unstable; urgency=medium

  * fix: remove Install sections from systemd sound services
  * Revert "chore: prohibit the startup and auto start of some services"
  * chore: prohibit the startup and auto start of some services

 -- zhangkun <zhangkun2@uniontech.com>  Wed, 16 Jul 2025 14:23:40 +0800

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  golang-gopkg-check.v1-dev,
  libcairo2-dev,
  libcanberra-dev,
- libfreetype-dev,
+ libfreetype-dev | libfreetype6-dev,
  libgdk-pixbuf2.0-dev,
  libgtk-3-dev,
  libpoppler-glib-dev,

## dde-api 6.0.23

=== debian/changelog ===
dde-api (6.0.23) unstable; urgency=medium

  * chore: bump 1st-party dependencies revision in go.mod

 -- fuleyi <fuleyi@uniontech.com>  Fri, 15 Aug 2025 09:02:57 +0800

dde-api (6.0.22) unstable; urgency=medium

  * fix(dde-open): Fix dde open crash issue

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:43:39 +0800

## dde-api 6.0.29

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 SYSTEMD_LIB_DIR = ${libdir}
 SYSTEMD_SERVICE_DIR = ${SYSTEMD_LIB_DIR}/systemd/system/
 GOBUILD = env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go build
+INSTALL_LOCALE_HELPER ?= 0
 
 TESTS = \
 	${GOPKG_PREFIX}/adjust-grub-theme \
@@ -133,14 +134,21 @@
 	mkdir -pv ${DESTDIR}${PREFIX}/share/polkit-1/actions
 	cp misc/polkit-action/*.policy ${DESTDIR}${PREFIX}/share/polkit-1/actions/
 
-	mkdir -pv ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d
-	cp misc/polkit-localauthority/*.pkla ${DESTDIR}/var/lib/polkit-1/localauthority/10-vendor.d/
-
+	mkdir -pv ${DESTDIR}/var/lib/polkit-1/rules.d
+	cp misc/polkit-rules/*.rules ${DESTDIR}/var/lib/polkit-1/rules.d/
+	
 	mkdir -pv ${DESTDIR}${PREFIX}/share/dde-api
 	cp -R misc/data ${DESTDIR}${PREFIX}/share/dde-api
 
 	mkdir -pv ${DESTDIR}${SYSTEMD_SERVICE_DIR}
 	cp -R misc/systemd/system/*.service ${DESTDIR}${SYSTEMD_SERVICE_DIR}
+	# 默认不安装 deepin-locale-helper.service，只有显式开启时才保留
+ifneq ($(INSTALL_LOCALE_HELPER), 1)
+	rm -f ${DESTDIR}${SYSTEMD_SERVICE_DIR}/deepin-locale-helper.service; 
+	rm -f ${DESTDIR}${PREFIX}/share/dbus-1/system-services/org.deepin.dde.LocaleHelper1.service; 
+	rm -f ${DESTDIR}${PREFIX}/share/polkit-1/actions/org.deepin.dde.locale-helper.policy; 
+	rm -f ${DESTDIR}${PREFIX}/share/dbus-1/system.d/org.deepin.dde.LocaleHelper1.conf; 
+endif
 
 	mkdir -pv ${DESTDIR}${PREFIX}/share/icons/hicolor
 	cp -R misc/icons/* ${DESTDIR}${PREFIX}/share/icons/hicolor

=== debian/changelog ===
dde-api (6.0.29) unstable; urgency=medium

  * feat: 减少构建并发 (#161)
  * fix: Add golang-x-sys dependency for syscall operations (#160)
  * feat: parallel build option for debian packaging (#159)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 10 Oct 2025 15:38:55 +0800

dde-api (6.0.28) unstable; urgency=medium

  * fix: 解决新装镜像创建用户后出现开机音效服务启动失败的问题 (#155)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 26 Sep 2025 09:20:31 +0800

dde-api (6.0.27) unstable; urgency=medium

  * Release 6.0.27

 -- fuleyi <fuleyi@uniontech.com>  Thu, 25 Sep 2025 20:51:52 +0800

dde-api (6.0.26) unstable; urgency=medium

  * Release 6.0.26

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:01:09 +0800

dde-api (6.0.25) unstable; urgency=medium

  * fix: copy background image to avoid re-encoding
  * feat: migrate from gsettings to dconfig for sound settings
  * fix: add audio group permission to login and shutdown sound services
  * fix: add audio group permission to sound theme player service

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 11 Sep 2025 20:57:19 +0800

dde-api (6.0.24) unstable; urgency=medium

  * fix: 解决没有关机音效的问题 (#148)
  * feat: dde-api安全整改 (#146)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 21 Aug 2025 14:12:51 +0800

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  golang-github-stretchr-testify-dev,
  golang-gopkg-alecthomas-kingpin.v2-dev,
  golang-gopkg-check.v1-dev,
+ golang-golang-x-sys-dev,
  libcairo2-dev,
  libcanberra-dev,
  libfreetype-dev | libfreetype6-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 export GOCACHE = /tmp/gocache
 export GOPATH := /usr/share/gocode
+export DEB_BUILD_OPTIONS = parallel=4
 export GO111MODULE=off
 ifeq ($(DEB_BUILD_ARCH),sw_64)
 	export GOFLAGS = -vet=off
@@ -14,10 +15,12 @@
 	dh $@ --buildsystem=makefile
 
 override_dh_auto_install:
-	dh_auto_install
+	cp -f misc/sysusers/deepin-daemon.conf debian/deepin-daemon.sysusers
+	dh_installsysusers  --name=deepin-daemon
+	dh_auto_install -- INSTALL_LOCALE_HELPER=1
 
 override_dh_strip:
 	dh_strip --dbgsym-migration=dde-api-dbg
 
 override_dh_installsystemd:
-	dh_installsystemd --no-start
+	dh_installsystemd --no-start --no-restart-on-upgrade
